Bug 13118 - Setting delete on close on a directory handle in the middle of an SMB2 find crashes smbd.
Setting delete on close on a directory handle in the middle of an SMB2 find c...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-03 18:26 UTC by Jeremy Allison
Modified: 2017-11-14 11:37 UTC (History)
2 users (show)

See Also:


Attachments
Ralph's torture test and original fix. (4.53 KB, patch)
2017-11-03 18:26 UTC, Jeremy Allison
no flags Details
git-am fix for master. (4.89 KB, patch)
2017-11-03 22:41 UTC, Jeremy Allison
slow: review+
Details
git-am fix for 4.7.next, 4.6.next. (5.19 KB, patch)
2017-11-06 22:04 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-11-03 18:26:01 UTC
Created attachment 13754 [details]
Ralph's torture test and original fix.

From Ralph Wuerthner <ralph.wuerthner@de.ibm.com>.

I was able to recreate the panic on my test system with the attached
'smb2.delete-on-close-perms.FIND and set DOC.FIND and set DOC'
smbtorture test. Please see also my proposed fix. Both patches apply
on master.
Comment 1 Jeremy Allison 2017-11-03 22:41:19 UTC
Created attachment 13755 [details]
git-am fix for master.
Comment 2 Jeremy Allison 2017-11-06 22:04:42 UTC
Created attachment 13761 [details]
git-am fix for 4.7.next, 4.6.next.

Cherry-picked from master.
Comment 3 Ralph Böhme 2017-11-07 12:13:11 UTC
Reassigning to Karolin for inclusion in 4.6 and 4.7.
Comment 4 Karolin Seeger 2017-11-13 08:25:03 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-{6,7}-test.
Comment 5 Karolin Seeger 2017-11-14 11:37:16 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!